### Method

# AyatanaAppIndicatorGlib Indicator set_menu

#### Declaration

    void
    app_indicator_set_menu (
      AppIndicator* self,
      GMenu* menu
    )

#### Description

Sets the menu that should be shown when the Application Indicator is activated in the panel. An application indicator will not be rendered unless it has a menu.

Important

All menu item actions must be prefixed with the `indicator.` namespace:

GSimpleaction *pAction = g_simple_action_new (“newimage”, NULL);

…

GMenuItem *pItem = g_menu_item_new (“New Image”, “indicator.newimage”);

…

Wrapper function for property `AppIndicator:menu`.

Sets property | `AyatanaAppIndicatorGlib.Indicator:menu`

#### Parameters

`menu`

  Type: `GMenu`

  A `GMenu` to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.